php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #40421 Install error 2343
Submitted: 2007-02-09 22:30 UTC Modified: 2008-08-22 18:08 UTC
Votes:5
Avg. Score:4.2 ± 0.7
Reproduced:3 of 3 (100.0%)
Same Version:3 (100.0%)
Same OS:2 (66.7%)
From: wade_link at hotmail dot com Assigned: jmertic (profile)
Status: Closed Package: Windows Installer
PHP Version: 5.2.1 OS: XP Pro
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: wade_link at hotmail dot com
New email:
PHP Version: OS:

 

 [2007-02-09 22:30 UTC] wade_link at hotmail dot com
Description:
------------
I have just installed 5.2.1 onto my XP Pro machine and am getting an install error of 2343.  It won't let me reinstall, repair, or uninstall.  I tried downloading another version and installing but it did not work.  Please help.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2007-02-09 22:42 UTC] tony2001@php.net
What kind of package did you use? (There are 3 different 5.2.1 packages available)
 [2007-02-09 23:03 UTC] wade_link at hotmail dot com
php-5.2.0-win32-installer.  I guess it isn't 5.2.1 after all.
 [2007-02-09 23:16 UTC] tony2001@php.net
Yeah, there is a good chance 5.2.1 will work fine.

 [2007-02-09 23:20 UTC] wade_link at hotmail dot com
Well, not exactly.  I just downloaded php-5.2.1-win32-installer and tried that, but it give me the message that there is a previous version installed and it must be un-installed before the new version can be installed.  Back to square one.
 [2007-02-09 23:24 UTC] tony2001@php.net
So 5.2.1 _probably_ works fine, but you can't test it because you cannot uninstall the previous version.
Consult your OS support on how to force the uninstall?
 [2007-02-10 00:09 UTC] wade_link at hotmail dot com
It worked sort of.  It got most of the way through the intall then errored.  It had the same error message.  It gets through a lot, but the error message shows up when it says it is writing INI files.
 [2007-02-15 19:41 UTC] jmertic@php.net
Please try the latest build. If you are still having problems, email the
error.log file produced from the following to jmertic@php.net.

From the command line in the directory where you downloaded the
installer:

msiexec /i php-5.2.1-win32-installer.msi /l*v error.log
 [2007-02-16 16:04 UTC] wade_link at hotmail dot com
Still got the same error at the same point of writing INI files.
 [2007-02-17 00:49 UTC] klearity at lycos dot ca
I have the same problem. I downloaded the fix version but I still get the error. I do not know where to find the error log so I can email it to the address given. Where do I find this?
 [2007-02-19 20:50 UTC] jmertic@php.net
Is there a PHP.ini file in the installation directory ( defaults to c:\program files\php 5) ?
 [2007-02-22 01:08 UTC] wade_link at hotmail dot com
Yes, there is a PHP.ini file.
 [2007-03-15 19:04 UTC] jmertic@php.net
Email the error.log file produced from the following to jmertic@php.net.

From the command line in the directory where you downloaded the
installer:

msiexec /i php-5.2.1-win32-installer.msi /l*v error.log
 [2007-03-18 03:28 UTC] planetwealth at gmail dot com
When installing PHP with php-5.2.1-win32-installer.msi on a Windows 2003 O.S., I'm getting an error at the very end of the install. The error is... "There is a problem wiht the Windows Installer package. A program run as part of the setup did not finish as expected. Contact your support personnel or package vendor" 

I am able to uninstall with ease.

Thanks,
Bill Hudson
 [2007-03-26 12:16 UTC] jmertic@php.net
Please be sure you are not selecting to install all web server modules, only the one you are interested in.

If you are still having issues, e-mail the error.log file produced from the following to jmertic@php.net.

From the command line in the directory where you downloaded the
installer:

msiexec /i php-5.2.1-win32-installer.msi /l*v error.log
 [2007-04-13 18:25 UTC] trackleft at cox dot net
If you are getting error 2343 that means that your php installations are corrupt and you need to uninstall them completely with micorosoft installer cleanup utility which you can get here:

http://support.microsoft.com/kb/290301

This should fix other installer problems with other programs too.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Thu Dec 09 02:03:35 2021 UTC